var suite = require('../lib/testingey').createSuite('asynch tests'),
    assert = require('assert');

suite.setUp(function () {
});

suite.asyncSpec('Asynchronous and slow', function (runner) {
  setTimeout(function () {
    runner.capture(function () {
      assert.equal(5, 10);
    });
  }, 3000);
});

suite.spec('Synchronous and fast', function () {
  assert.equal(1, 1);
});

suite.spec('Synchronous but slow', function () {
  for (var i = 0; i < 1000000; ++i) {}
  assert.equal(1, 1);
});

suite.asyncSpec('Asynchronous but quick', function (runner) {
  process.nextTick(function () {
    runner.capture(function () {
      assert.equal(1, 1);
    });
  });
});

suite.tearDown(function () {
});

suite.run();
